Bitcoin Forum
July 21, 2018, 05:10:15 AM *
News: Latest stable version of Bitcoin Core: 0.16.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Error when cross-compiling 0.96.1 for RPi  (Read 127 times)
datafish
Donator
Full Member
*
Offline Offline

Activity: 129
Merit: 100


Swimming in a sea of data


View Profile
July 31, 2017, 06:32:59 PM
 #1

I'm following the instructions for cross-compiling located here: https://github.com/goatpig/BitcoinArmory/tree/master/r-pi. Autogen completed, but I'm having the following problem during configure:

Code:
>./configure --host=arm-linux-gnueabihf
...
configure: WARNING: using cross tools not prefixed with host triplet
...
configure: WARNING: no configuration information is in cppForSwig/fcgi
...
configure: WARNING: using cross tools not prefixed with host triplet
...
"No assembler code for CPU arm"
no
cross compiling is set to: yes
checking that generated files are newer than configure... done
configure: error: conditional "GAS210_OR_LATER" was never defined.
Usually this means the macro was only invoked conditionally.
configure: error: ./configure failed for cppForSwig/cryptopp
>

In the above clip, I included a few warnings that I received earlier in the script, but I'm most concerned about the final error. I downloaded the RPi cross compilation tools from https://github.com/raspberrypi/tools and added the appropriate directory to my PATH. This is on a Ubuntu 16.04.1 LTS box. Thanks for any help you can offer.
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
goatpig
Moderator
Legendary
*
Offline Offline

Activity: 1918
Merit: 1096

Armory Developer


View Profile
July 31, 2017, 08:35:50 PM
 #2

There's a fix for this in the testing branch, you have to build against that until it gets merged in for 0.96.2

Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!